
QGIS Application - Bug report #4673

Rasterizer: let the user choose resolution, not number of rows & columns

2011-12-19 03:20 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14564

Description

Currently, the rasterizer tool asks the user to choose the raster resolution in an indirect way, by choosing the number of rows and columns

in the resulting raster. Better take the extent from the vector, ask the user for the desired pixel size, and do the necessary calculations

internally.

Unclear if non square resolution should be allowed (more data to input by the user, I do not know of any practical use).

History

#1 - 2012-03-26 03:56 AM - Giovanni Manghi

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

The same applies for the "grid" tool.

#2 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2012-11-07 08:46 PM - Paolo Cavallini

See #6659 for an easy solution.

#4 - 2012-12-31 01:24 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#5 - 2013-07-12 03:41 PM - Jürgen Fischer

- Assignee deleted (anonymous -)

#6 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2014-07-21 04:12 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
